﻿<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<xsl:output method="html" encoding="UTF-8" />

<!-- ver 1.00 on 17/11/2017 -->
<!-- ver 1.01 on 1/12/2017 : revised "SuppleProvision" template -->
<!-- ver 1.02 on 11/7/2019 : debug : head: Shift_JIS to UTF-8 -->
<!-- ver 1.10 on 12/30/2019 : debug : support use of Column in Subitem1 -->
<!--                                : support  Subitem2,Subitem3 -->
<!-- ver 1.20 on 1/19/2020 : support AppdxStyle -->
<!-- ver 1.21 on 1/10/2023 : remove unnecessary blanks after 条番 and 号番 -->
<!-- ver 1.30 on 5/26/2023 : support multiple Paragraph -->
<!--                         support ParagraphCaption   -->
<!--                         add ParagraphNum when exists    -->
<!--                         add　"抄" to ProvisionLabel when @Extract=true   -->
<!--        Coded by ceder -->

<xsl:variable name="putsp">
<xsl:text><![CDATA[　]]></xsl:text>
</xsl:variable>

<!-- 全体 -->
<xsl:template match="/">

  <xsl:text disable-output-escaping="yes">
  <![CDATA[<?xml version="1.0" encoding="UTF-8"?>]]> 
  <![CDATA[<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">]]>
  </xsl:text>
 <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
  <head>
   <meta name="viewport" content="width=device-width, initial-scale=1.0" />
   <meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
   <meta http-equiv="Content-Style-Type" content="text/css" /> 
   <link rel="stylesheet" type="text/css" href="./hourei.css" />
   <title>
       <xsl:value-of select="Law/LawBody/LawTitle" />
   </title>
  </head>
  <body>
   <h1>
    <xsl:value-of select="Law/LawBody/LawTitle" />
     <br />
     <xsl:text>（</xsl:text>
     <xsl:value-of select="Law/LawNum" />
     <xsl:text>）</xsl:text>
   </h1>

   <p class="enact">
     <xsl:value-of select="Law/LawBody/EnactStatement" />
   </p>
<xsl:apply-templates select="Law/LastUpdate" />
<xsl:apply-templates select="Law/LawBody/TOC" />
<xsl:apply-templates select="Law/LawBody/Preamble" />
<xsl:apply-templates select="Law/LawBody/MainProvision" />
<hr class="none" id="suppl" />
<xsl:apply-templates select="Law/LawBody/SupplProvision" />
<hr class="none" />
<hr class="none" />
<xsl:apply-templates select="Law/LawBody/AppdxTable" />
<xsl:apply-templates select="Law/LawBody/AppdxStyle" />

  </body>
 </html>
</xsl:template>

<xsl:template match="//LastUpdate">
<hr class="none" />
<p>
<strong>最終更新:</strong>
<xsl:value-of select="." />
</p>
<hr class="none" />
</xsl:template>

<!-- 目次 -->
<xsl:template match="Law/LawBody/TOC">
<h2>
  <xsl:value-of select="TOCLabel" />
</h2>
<p class="tocchap">
  <xsl:value-of select="TOCPreambleLabel" />
</p>
<xsl:apply-templates select="TOCPart" />
<xsl:apply-templates select="TOCChapter" />
<xsl:apply-templates select="TOCSection" />
<xsl:apply-templates select="TOCArticle" />
<xsl:apply-templates select="TOCSupplProvision" />
<xsl:apply-templates select="TOCAppdxTableLabel" />
</xsl:template>

<xsl:template match="//TOCPart">
  <p class="tocpart">
  <a >
   <xsl:attribute name="href">
     <xsl:value-of select="concat('#',concat('P',@Num))" />
   </xsl:attribute>
    <xsl:value-of select="PartTitle" />
    <xsl:apply-templates select="ArticleRange" />
  </a>
  </p>
<xsl:apply-templates select="TOCChapter" >
  <xsl:with-param name="upp" select="concat('P',@Num)" />
</xsl:apply-templates>
<xsl:apply-templates select="TOCSection" >
  <xsl:with-param name="upp" select="concat('P',@Num)" />
</xsl:apply-templates>
<xsl:apply-templates select="TOCArticle" />

</xsl:template>

<xsl:template match="//TOCChapter" >
 <xsl:param name="upp" /> 
  <p class="tocchap" >
  <a >
   <xsl:attribute name="href">
     <xsl:value-of select="concat('#',concat($upp,concat('C',@Num)))" />
   </xsl:attribute>
   <xsl:value-of  select="ChapterTitle" />
   <xsl:apply-templates select="ArticleRange" />
  </a>
  </p>
<xsl:apply-templates select="TOCSection" >
  <xsl:with-param name="upp" select="concat($upp,concat('C',@Num))" />
</xsl:apply-templates> 
<xsl:apply-templates select="TOCArticle" />
</xsl:template>

<xsl:template match="//TOCSection" > 
 <xsl:param name="upp" /> 
<p class="tocsec">
  <a >
    <xsl:attribute name="href" >
     <xsl:value-of select="concat('#',concat($upp,concat('S',@Num)))" />
    </xsl:attribute>
   <xsl:value-of select="SectionTitle" /> 
   <xsl:apply-templates select="ArticleRange" />
  </a>
</p>
<xsl:apply-templates select="TOCSubsection" >
  <xsl:with-param name="upp" select="concat($upp,concat('S',@Num))" />
</xsl:apply-templates>
<xsl:apply-templates select="TOCDivision" >
  <xsl:with-param name="upp" select="concat($upp,concat('S',@Num))" />
</xsl:apply-templates>
<xsl:apply-templates select="TOCArticle" />
</xsl:template>

<xsl:template match="//TOCSubsection" >
<xsl:param name="upp" />
<p class="subsec">
  <a >
    <xsl:attribute name="href" >
     <xsl:value-of select="concat('#',concat($upp,concat('SS',@Num)))" />
    </xsl:attribute>
    <xsl:value-of select="SubsectionTitle" />  
    <xsl:apply-templates select="ArticleRange" />
  </a>
</p>
<xsl:apply-templates select="TOCDivision" >
   <xsl:with-param name="upp" select="concat($upp,concat('SS',@Num))" />
</xsl:apply-templates> 
<xsl:apply-templates select="TOCArticle" />
</xsl:template>

<xsl:template match="//TOCDivision" >
<xsl:param name="upp" />
<p class="div">
  <a >
    <xsl:attribute name="href" >
     <xsl:value-of select="concat('#',concat($upp,concat('D',@Num)))" />
    </xsl:attribute>
    <xsl:value-of select="DivisionTitle" />  
    <xsl:apply-templates select="ArticleRange" />
  </a>
</p>
<xsl:apply-templates select="TOCArticle" />
</xsl:template>

<xsl:template match="//TOCArticle" > 
<p class="tocart">
  <a>
    <xsl:attribute name="href" >
      <xsl:value-of select="@Num" />
    </xsl:attribute>
  <xsl:value-of select="ArticleTitle" /> 
  <xsl:value-of select="ArticleCaption" /> 
  </a>
</p>
</xsl:template>

<xsl:template match="//TOCSupplProvision" >
<p class="tocchap">
<a href="#suppl">
<xsl:value-of select="SupplProvisionLabel" />
</a>
</p>
</xsl:template>
 
<xsl:template match="TOCAppdxTableLabel" >
</xsl:template> 

<xsl:template match="//ArticleRange" >
 <xsl:value-of select="." />
</xsl:template>

<!-- 前文 -->
<xsl:template match="Law/LawBody/Preamble" >
<xsl:apply-templates select="Paragraph" />
</xsl:template>

<!-- 本則 --> 
<xsl:template match="Law/LawBody/MainProvision" >
<xsl:apply-templates select="Part" />
<xsl:apply-templates select="Chapter" />
<xsl:apply-templates select="Section" >
  <xsl:with-param name="chap" select='M' />
</xsl:apply-templates>
<xsl:apply-templates select="Article" />
<xsl:apply-templates select="Paragraph" />
</xsl:template>


<!-- 編 -->
<xsl:template match="//Part" >
<h2 class="part">
  <xsl:attribute name="id" >
   <xsl:value-of select="concat('P',@Num)" />
  </xsl:attribute>
<xsl:value-of select="PartTitle" />
</h2>
<xsl:apply-templates select="Chapter" >
   <xsl:with-param name="upp" select="concat('P',@Num)" />
</xsl:apply-templates>
<xsl:apply-templates select="Section" >
   <xsl:with-param name="upp" select="concat('P',@Num)" />
</xsl:apply-templates>
<xsl:apply-templates select="Article" />
<xsl:apply-templates select="Paragraph" />
</xsl:template>

<!-- 章 -->
<xsl:template match="//Chapter" >
  <xsl:param name="upp" />
<h2 class="chap">
  <xsl:attribute name="id" >
   <xsl:value-of select="concat($upp,concat('C',@Num))" />
  </xsl:attribute>
<xsl:value-of select="ChapterTitle" />
</h2>
<xsl:apply-templates select="Section" >
  <xsl:with-param name="upp" select="concat($upp,concat('C',@Num))" />
</xsl:apply-templates>
<xsl:apply-templates select="Article" />
<xsl:apply-templates select="Paragraph" />
</xsl:template>

<!-- 節 -->
<xsl:template match="//Section" >
 <xsl:param name="upp"  />
<h3 class="sec">
  <xsl:attribute name="id" >
    <xsl:value-of select="concat($upp,concat('S',@Num))" />
  </xsl:attribute>
<xsl:value-of select="SectionTitle" />
</h3>
<xsl:apply-templates select="Subsection" >
  <xsl:with-param name="upp" select="concat($upp,concat('S',@Num))" />
</xsl:apply-templates>
<xsl:apply-templates select="Division" >
   <xsl:with-param name="upp" select="concat($upp,concat('S',@Num))" />
</xsl:apply-templates>
<xsl:apply-templates select="Article" />
<xsl:apply-templates select="Paragraph" />
</xsl:template>

<!-- 款 -->
<xsl:template match="//Subsection" >
<xsl:param name="upp"  />
<h3 class="subsec">
  <xsl:attribute name="id" >
    <xsl:value-of select="concat($upp,concat('SS',@Num))" />
  </xsl:attribute>
<xsl:value-of select="SubsectionTitle" />
</h3>
<xsl:apply-templates select="Division" >
 <xsl:with-param name="upp" select="concat($upp,concat('SS',@Num))" />
</xsl:apply-templates> 
<xsl:apply-templates select="Article" />
<xsl:apply-templates select="Paragraph" />
</xsl:template>

<!-- 目 -->
<xsl:template match="//Division" >
<xsl:param name="upp"  />
<h3 class="div">
  <xsl:attribute name="id" >
    <xsl:value-of select="concat($upp,concat('D',@Num))" />
  </xsl:attribute>
<xsl:value-of select="DivisionTitle" />
</h3>
<xsl:apply-templates select="Article" />
<xsl:apply-templates select="Paragraph" />
</xsl:template>



<!-- 附則 -->
<xsl:template match="SupplProvision" >
<h3>
<xsl:choose>
 <xsl:when test="@AmendLawNum">
  <xsl:value-of select="concat(SupplProvisionLabel,concat(' （',concat(@AmendLawNum,'）')))" />
 </xsl:when>
 <xsl:otherwise>
  <xsl:value-of select="SupplProvisionLabel" />
 </xsl:otherwise>
 </xsl:choose>
<xsl:if test="@Extract = 'true' " >
<xsl:text><![CDATA[　抄]]></xsl:text>
</xsl:if>

</h3>
<xsl:apply-templates select="Paragraph" />
<xsl:apply-templates select="Article" />
<xsl:apply-templates select="SupplProvisionAppdxTable" />
</xsl:template>

<xsl:template match="//SupplProvisionAppdxTable" >
<p>
<hr class="none" />
<strong>
<xsl:value-of select="SupplProvisionAppdxTableTitle" />
</strong>
</p>
<xsl:apply-templates select="TableStruct" />
<xsl:apply-templates select="Item" />
</xsl:template>

<!--  付表 -->
<xsl:template match="AppdxTable" >
<p>
<hr class="none" />
<strong>
 <xsl:value-of select="concat(AppdxTableTitle,concat('　',RelatedArticleNum))" />
</strong>
</p>
<xsl:apply-templates select="TableStruct" />
<xsl:apply-templates select="Item" />
</xsl:template>

<!-- 様式 -->
<xsl:template match="AppdxStyle" >
<p>
<hr class="none" />
<strong>
 <xsl:value-of select="concat(AppdxStyleTitle,concat('　',RelatedArticleNum))" />
</strong>
</p>
<xsl:apply-templates select="StyleStruct" />
<xsl:apply-templates select="Item" />
</xsl:template>


<!--***************-->
<!--      共通     -->
<!--***************-->

<!-- 条 -->
<xsl:template match="//Article" >
<p class="caption">
<xsl:value-of select="ArticleCaption" />
</p>
<xsl:apply-templates select="Paragraph" />
</xsl:template>

<!-- 条文 、　項 -->
<xsl:template match="//Paragraph" >
<p>
<xsl:if test="@Num=1" >
<xsl:apply-templates select="../ArticleTitle" />
</xsl:if>
<xsl:if test="string-length(ParagraphNum) != 0" >
<xsl:apply-templates select="ParagraphCaption" />
<xsl:apply-templates select="ParagraphNum" />
</xsl:if>

<xsl:apply-templates select="ParagraphSentence" />
</p>
<xsl:apply-templates select="TableStruct" />
<xsl:apply-templates select="Item" />
</xsl:template>

<xsl:template match="//ArticleTitle" >
<strong>
<xsl:value-of select="." />
</strong>
<xsl:copy-of select="$putsp" />
</xsl:template>

<!-- 項番 -->
<xsl:template match="//ParagraphCaption" >
<xsl:value-of select="." />
<br />
</xsl:template>

<xsl:template match="//ParagraphNum" >
<strong>
<xsl:value-of select="." />
</strong>
<xsl:copy-of select="$putsp" />
</xsl:template>

<xsl:template match="//ParagraphSentence" >
<xsl:apply-templates select="Sentence" />
</xsl:template>


<!-- 号 -->
<xsl:template match="//Item" >
<p class="gou">
<strong>
<xsl:value-of select="ItemTitle" />
</strong>
<xsl:copy-of select="$putsp" />
<xsl:apply-templates select="ItemSentence" />
</p>
<xsl:apply-templates select="Subitem1" />
<xsl:apply-templates select="TableStruct" />
</xsl:template>

<xsl:template match="//ItemSentence" >
<xsl:apply-templates select="Sentence" />
<xsl:apply-templates select="Column" />
</xsl:template>

<xsl:template match="//Column" >
<xsl:if test="@Num!=1">
<xsl:copy-of select="$putsp" />
</xsl:if>
<xsl:apply-templates select="Sentence" />
</xsl:template>

<!-- 項目 -->
<xsl:template match="//Subitem1" >
<p class="kou">
<strong>
<xsl:value-of select="Subitem1Title" />
</strong>
<xsl:copy-of select="$putsp" />
<xsl:apply-templates select="Subitem1Sentence" />
</p>
<xsl:apply-templates select="Subitem2" />
<xsl:apply-templates select="TableStruct" />
</xsl:template>

<xsl:template match="//Subitem1Sentence" >
<xsl:apply-templates select="Sentence" />
<xsl:apply-templates select="Column" />
</xsl:template>

<xsl:template match="//Subitem2" >
<p class="kou2">
<strong>
<xsl:value-of select="Subitem2Title" />
</strong>
<xsl:copy-of select="$putsp" />
<xsl:apply-templates select="Subitem2Sentence" />
</p>
<xsl:apply-templates select="Subitem3" />
<xsl:apply-templates select="TableStruct" />
</xsl:template>

<xsl:template match="//Subitem2Sentence" >
<xsl:apply-templates select="Sentence" />
<xsl:apply-templates select="Column" />
</xsl:template>

<xsl:template match="//Subitem3" >
<p class="kou3">
<strong>
<xsl:value-of select="Subitem3Title" />
</strong>
<xsl:copy-of select="$putsp" />
<xsl:apply-templates select="Subitem3Sentence" />
</p>
<!-- <xsl:apply-templates select="Subitem4" /> -->
<xsl:apply-templates select="TableStruct" />
</xsl:template>

<xsl:template match="//Subitem3Sentence" >
<xsl:apply-templates select="Sentence" />
<xsl:apply-templates select="Column" />
</xsl:template>




<!-- 表 -->
<xsl:template match="//TableStruct" >
<xsl:apply-templates select="Table" />
</xsl:template>

<xsl:template match="//Table">
<table>
<xsl:apply-templates select="TableRow" />
</table>
</xsl:template>

<xsl:template match="//TableRow">
<tr>
<xsl:apply-templates select="TableColumn" />
</tr>
</xsl:template>

<xsl:template match="//TableColumn">
<td>
<xsl:if test="@rowspan &gt;= 2" >
<xsl:attribute name="rowspan" >
 <xsl:value-of select="@rowspan" />
</xsl:attribute>
</xsl:if>
<xsl:if test="@colspan &gt;= 2" >
<xsl:attribute name="colspan" >
 <xsl:value-of select="@colspan" />
</xsl:attribute>
</xsl:if>
<xsl:apply-templates select="Sentence" />
</td>
</xsl:template>

<!-- 様式 -->
<xsl:template match="//StyleStruct" >
<xsl:apply-templates select="Style" />
</xsl:template>

<xsl:template match="//Style">
<xsl:apply-templates select="Fig" />
</xsl:template>

<xsl:template match="//Fig">
<p>
<a>
<xsl:attribute name="href">
  <xsl:value-of select="@src" />
</xsl:attribute>
<xsl:attribute name="target">
  _blank
</xsl:attribute>
別画面で表示
</a>
</p>
</xsl:template>

<xsl:template match="//Sentence" >
<xsl:value-of select="." />
</xsl:template>

</xsl:stylesheet>

